Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.simpleframework.xml
Enum DefaultType

    java.lang.Object
      java.lang.Enum<DefaultType>
          org.simpleframework.xml.DefaultType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DefaultType>

    public enum DefaultType

extends java.lang.Enum<DefaultType>

The `DefaultType` enumeration is used to specify the type of defaults to apply to a class. The `Default` annotation is used to specify which type of default to apply. If applied the serializer will synthesize an XML annotation for the fields or properties of the object. The synthesized annotations will have default values for its attributes.

Author:
  Niall Gallagher
See Also:
  `Default`

Enum Constant Summary
`FIELD` This tells the serializer to default all member fields.
`PROPERTY` This tells the serializer to default all property methods.

Method Summary
`static DefaultType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DefaultType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FIELD

    public static final DefaultType FIELD

  This tells the serializer to default all member fields.

### PROPERTY

    public static final DefaultType PROPERTY

  This tells the serializer to default all property methods.

Method Detail

### values

    public static final DefaultType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(DefaultType c : DefaultType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static DefaultType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD